// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {
    apply from: 'versions.gradle'
    addRepos(repositories)
    
    ext {
//        ktlintVersion = '0.33.0'
    }

    dependencies {
        classpath deps.android_gradle_plugin
//        classpath deps.kotlin.plugin
//        classpath deps.kotlin.serialization
//        classpath deps.kotlin.android_extensions
//        classpath deps.kotlin.allopen
//        classpath deps.navigation.safe_args_plugin
        classpath deps.crashlytics_gradle_plugin
        classpath deps.google_services.plugin
        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }

        repositories {
        google()
    }
}

//plugins {
//    id "com.diffplug.gradle.spotless" version "3.27.2"
//
//    // Example usage:
//    //  ./gradlew dependencyUpdates -Drevision=release -DoutputFormatter=plain
//    id "com.github.ben-manes.versions" version "0.28.0"
//}

allprojects {
    addRepos(repositories)
}

//spotless {
//    kotlin {
//        target "**/*.kt"
//        ktlint(ktlintVersion)
//    }
//}

task clean(type: Delete) {
    delete rootProject.buildDir
}
